# Preview attachments

This addon allows to preview attachments supported by http://viewerjs.org.

Currently, that’s most Libreoffice files and PDFs.

Table of contents

- Installation
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Other credits
    - Addon icon
  - Maintainers

# Installation

For filetype recognition, you’ll get the best results by installing `python-magic`:

sudo apt-get install python-magic

# Usage

The module adds a little print preview icon right of download links for attachments or binary fields. When a preview is opened from the attachments menu it’s shown next to the form view. From this screen you can navigate through the attachments using the arrow buttons. Using the pop-out button next to the navigational buttons you can open the preview in a separate window.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Therp BV
- Onestein

## Contributors

- Holger Brunn <mail@hunki-enterprises.com>
- Dennis Sluijk <d.sluijk@onestein.nl>
- Sebastiano Picchi <sebastiano.picchi@pytech.it>

## Other credits

### Addon icon

- courtesy of http://commons.wikimedia.org/wiki/Crystal_Clear

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/knowledge project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.